---
title: Worker.terminate()
slug: Web/API/Worker/terminate
tags:
  - API
  - Method
  - Reference
  - Référence(2)
  - Web Workers
  - Worker
  - terminate
---
<p>{{APIRef("Web Workers API")}}</p>

<p>The <code><strong>terminate()</strong></code> method of the {{domxref("Worker")}} interface immediately terminates the {{domxref("Worker")}}. This does not offer the worker an opportunity to finish its operations; it is stopped at once.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: js">myWorker.terminate();</pre>

<h3 id="Parameters">Parameters</h3>

<p>None.</p>

<h3 id="Returns">Returns</h3>

<p>Void.</p>

<h2 id="Example">Example</h2>

<p>The following code snippet shows creation of a {{domxref("Worker")}} object using the {{domxref("Worker.Worker", "Worker()")}} constructor, which is then immediately terminated.</p>

<pre class="brush: js">var myWorker = new Worker('worker.js');

myWorker.terminate();
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<tbody>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
		<tr>
			<td>{{SpecName('HTML WHATWG', "#dom-worker-terminate", "Worker.terminate()")}}</td>
			<td>{{Spec2('HTML WHATWG')}}</td>
			<td> </td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Worker.terminate")}}</p>

<h2 id="See_also">See also</h2>

<p>The {{domxref("Worker")}} interface it belongs to.</p>
